%global _empty_manifest_terminate_build 0
Name:		openapi-schema-validator
Version:	0.3.4
Release:	1
Summary:	OpenAPI schema validation for Python
License:	BSD-3-Clause
URL:		https://github.com/p1c2u/openapi-schema-validator
Source0:	https://files.pythonhosted.org/packages/65/be/7d6fd03612863dd597e6411b8b77593e13f9d33231ac3964342c2715ca80/openapi-schema-validator-0.3.4.tar.gz
BuildArch:	noarch


%description
Openapi-schema-validator is a Python library that validates schema against the OpenAPI 
Schema Specification v3.0 which is an extended subset of the JSON Schema Specification 
Wright Draft 00.

%package -n python3-openapi-schema-validator
Summary:	OpenAPI schema validation for Python
Provides:	python-openapi-schema-validator = %{version}-%{release}
BuildRequires:  python3-devel python3-setuptools python3-isodate python3-jsonschema
BuildRequires:  python3-strict-rfc3339 python3-rfc3339-validator
%description -n python3-openapi-schema-validator
OpenAPI schema validation for Python

%package help
Summary:	Development documents and examples for openapi-schema-validator
Provides:	python3-openapi-schema-validator-doc
%description help
Development documents and examples for openapi-schema-validator


%prep
%autosetup -n openapi-schema-validator-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-openapi-schema-validator -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 21 2022 wangjunqi <wangjunqi@kylinos.cn> - 0.3.4-1
- Update package to version 0.3.4

* Tue May 10 2022 wulei <wulei80@h-partners.com> - 0.1.5-2
- License compliance rectification

* Tue Aug 31 2021 Python_Bot <Python_Bot@openeuler.org> - 0.1.5-1
- Package Spec generated
